//*************************************************************
//  File name: MICONDOC.H
//
//  Description:
//     Declares the interface for the CMulticonDoc class
//
//  History:    Date       Author     Comment
//              3/7/94     FJB        Created
//
// Written by Microsoft Product Support Services, Windows Developer Support
// Copyright (c) 1994 Microsoft Corporation. All rights reserved.
//*************************************************************
 
 
//*************************************************************
//  Class:
//      CMulticonDoc
//
//  Description:
//      AppWizard generated doc class.
//
//  Derived from:
//      CDocument
//
//  Data Members:
//      None
//
//  Member Functions:
//      CMulticonDoc   : Constructor
//     ~CMulticonDoc   : Destructor 
//      Serialize      : AppWizard generated
//      AssertValid    : AppWizard generated
//      Dump           : AppWizard generated
//      OnNewDocument  : AppWizard generated
//      Rand           : Returns a random number within specified range.  
//
//  Comments:
//      A CDocument object is not really necessary for this particular code
//      sample.  Specifically, all data is generated randomly, so we don't
//      need to do serialization.  However, since the AppWizard went to the
//      trouble of making it, might as well use it.
//
//  History:    Date       Author     Comment
//              3/7/94     FJB        Created
//
//*************************************************************  


class CMulticonDoc : public CDocument
{
protected: // create from serialization only
   CMulticonDoc();
   DECLARE_DYNCREATE(CMulticonDoc)

// Attributes
public:
   int Rand(int nMax, int nMin = 0);
   
// Operations
public:

// Implementation
public:
   virtual ~CMulticonDoc();
   virtual void Serialize(CArchive& ar);   // overridden for document i/o
#ifdef _DEBUG
   virtual void AssertValid() const;
   virtual void Dump(CDumpContext& dc) const;
#endif

protected:
   virtual BOOL OnNewDocument();

// Generated message map functions
protected:
   //{{AFX_MSG(CMulticonDoc)
      // NOTE - the ClassWizard will add and remove member functions here.
      //    DO NOT EDIT what you see in these blocks of generated code !
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
